This page in other languages:
http://www.apneaboard.com/wiki/index.php/OSCAR_Release_Notes

Changes and fixes in OSCAR v1.7.1
Portions of OSCAR are © 2019-2026 by The OSCAR Team

- [fix] Flow size in Vrem-loader
- [added] SpO2 baseline calculation setting - located in Preferences
- [added] Support for Resmed Sleepmate series
- [added] Support for SpO2 support in BMC loader
- [added] Support for the Yuwell YH-500 series CPAP
- [added] Support for the Yuwell YH-580 series CPAP
- [added] New database version number to viatom_loader
- [added] Support documentation for building with Qt6
- [updated] Linux mkOSDistDeb scripts for error checking and added functionality
- [updated] Linux support build scripts for improved functionality
- [updated] Windows buildall.bat to use all available CPU cores for building OSCAR
- [updated] Russian Translation
- [updated] Chinese.zh_TW Translation

Changes and fixes in OSCAR v1.7.0
Portions of OSCAR are © 2019-2026 by The OSCAR Team

- [fix] Crash when importing into a new profile
- [fix] Import dialog button error
- [fix] Import Dialog : Better support for existing directory
- [fix] Change "Passive" to "Permissive" label in Steady Breathing preference settings
- [fix] Fix crash when importing into a new profile
- [fix] OSCAR crash when using a pop-out graph
- [added] Qt version number to the installation filename for future updates
- [added] Qt6 build directives for All Platforms
- [added] Support documentation for building with Qt6
- [added] Support for the vREM CPAP
- [added] Support for the BMC CPAP
- [updated] OSCAR building documentation for all supported OS platforms
- [updated] Wellue POD-2 code improvements
- [updated] Improvement of Steady Breathing
- [updated] Update to Chinese.zh_TW.ts
- [updated] Update to Polski.pl.ts
- [updated] Update to Deutsch.de.ts by Steffen Reitz

Changes and fixes in OSCAR v1.6.1
Portions of OSCAR are © 2019-2025 by The OSCAR Team

- [fix] Crash in search feature
- [fix] Pressure graph bar colors for VPAPauto
- [fix] Grammar changes to Tooltip formatting issue
- [fix] Clean code to avoid memory leaks and crashes
- [added] Update Biometrics: Enhanced Feelings Range
- [added] Linux build script for Qt6.
- [added] GUI Interface for SteadyBreathing
- [added] ALT_b to add a bookmark.
- [added] Wellue POD-2 low battery warning
- [added] Enhanced Daily Notes - default Font size now can be set.
- [added] Search by apnea length, and CSR, PB, and Large Leaks
- [updated] Changed "CSR" to PB(CSR)
- [updated] relocated the UA parameter listing in the Events tab

Changes and fixes in OSCAR v1.6.0
Portions of OSCAR are © 2019-2024 by The OSCAR Team

- [added] Support for the iBreeze 30ST/A.
- [added] Support for the Resmed AirCurve 11 Series.
- [added] Support for the Viatom/Wellue O2Ring-S model
- [added] Native File Dialogs on Windows
- [added] Warning message when no cpap data and validate oximeter data.
- [added] Option to disable Daily Graph Titles.
- [added] Restore last used CSV export data folder.
- [added] PRS1 Handle Empty SD cards property file if backup file.
- [added] Scroll bars when need to the Preferences menu.
- [updated] Resvent Loader.
- [updated] French Translations.
- [updated] Resmed A11 verified model list.
- [updated] Notify Messages with a MessageBox that expires.
- [fix] No name in user profile - user unable to access data.
- [fix] Daily Search: Add search at first install.
- [fix] Statistics: Prevent Data Range from listing future dates.
- [fix] Correct validation for Language and Help files.
- [fix] Profile: Height Metric - Imperial conversion.
- [fix] Fix Import Journal - issue 108.
- [fix] English Grammar - Oximeter Wizard Menu.
- [fix] Last Used Oximeter Folder.
- [fix] Keyboard navigation to work with bookmarks.
- [fix] Crash during change of high resolution checkbox.
- [fix] ClockDrift issue in TimeAtPressure Graph.
- [fix] Crash due to loader not found.
- [fix] Display error message instead of crashing.

Changes and fixes in OSCAR v1.5.3
Portions of OSCAR are © 2019-2024 by The OSCAR Team

- [fix] No name in user profile - user unable to access data.
- [fix] Daily Search: Add search at first imstall.
- [fix] Statstics: Prevent Data Range from listing future dates.
- [fix] Correct validation for Lanuage and Help files.
- [added] Daily Search Item: Searh for any Journal item (notes,bookmarks,weight,feelings).
- [added] Import(restore) Journal.
- [added] Confgurable Daily Left Side Bar.
- [update] Credits.html - Member updates.

Changes and fixes in OSCAR v1.5.2
Portions of OSCAR are © 2019-2024 by The OSCAR Team

- [fix] VHigh Resolution Control File Location. Now in Oscar Data Folder.
- [fix] Statistics: Add configuration of alternating colored lines background.
- [fix] Viatom/Wellue file extension (.dat) was preventing the name from changing the start time
- [fix] Time display issues encountered when summer time is changed to winter time.
- [fix] Statistics display mode is now restored when Oscar starts.
- [fix] Change Language.
- [fix] iBreeze loader - Various fixes.
- [fix] Snore Events were lost when sessions had a single snore event.
- [fix] Graphs were dropped when Oscar was restarted after import.
- [fix] Prisma pressure settings in the Daily screen now display whole numbers.
- [fix] OSCAR - automatic reload when parameter changes encountered.
- [added] Allow renaming of a user profile.
- [added] Graphs hints at bottom of Daily and Overview Tabs.
- [added] Statistics:added alternating light green/white background colors for rows.
- [added] Enhanced and Fixed html zoom in/out feature.
- [update] Biometrics settings.
- [update] iBreeze loader: Added progress bar.
- [update] Statistics Screen - Various improvements.

Changes and fixes in OSCAR v1.5.1
Portions of OSCAR are © 2019-2023 by The OSCAR Team

- [new] Added DS Go Auto 500G150 model
- [fix] Re-enabled biometrics
- [fix] Disabled pixmap caching
- [fix] High Resolution display issue

- Setting added to Preferences > Appearance to enable/disable High Resolution mode
- Setting is disabled by default

- [fix] Checkupdates fixed

Changes and fixes in OSCAR v1.5.0
Portions of OSCAR are © 2019-2023 by The OSCAR Team

- [new] Added Support for Resmed AirSense 11 models 39483 and 39517
- [new] Added Clinical and Permissive mode for compliance
- [new] Added Clinical tab to preferences
- [new] New CPAP session bar (experimental)
- [new] Additional settings reported for ResMed bilevel machines
- [new] Red zero line for flow rate on by default
- [new] Added dynamic resizing of daily graphs by double clicking graph name
- [new] Hoffrichter Point 3 machines now supported
- [new] Resvent machines now supported
- [new] F&P Sleepstyle now reports Obstructive and Central separately
- [new] Added Shift+click to zoom into 3 minute window
- [new] Search function added to Daily Screen left panel
- [new] Event Flags graph automatically resizes to event types selected
- [new] Added warning dialog when a session is disabled
- [new] Added Backup feature for daily/overview graph settings
- [fix] Fix high resolution display issues
- [fix] Improved support for PrismaLine bilevel modes
- [fix] Selected event not showing in PRS1 devicess
- [fix] Updated wording for View > Reset Graphs
- [fix] Crash on View > Reset Graphs
- [fix] Viatom now imports files with .dat extension
- [fix] Graph combo box updated
- [fix] Allow Graph and Event combo boxes to remain open after changes.
- [fix] Overview display of ResMed Oximeter events now works.

Changes and fixes in OSCAR v1.4.0
Portions of OSCAR are © 2019-2022 by The OSCAR Team

- [new] Support for Philips Respironics DreamStation 2:
  - DreamStation 2 CPAP (410X150C)
  - DreamStation 2 Advanced CPAP (420X150C)
  - DreamStation 2 Auto CPAP Advanced (520X110C, 520X130C, 520X150C)
  - DreamStation 2 Auto CPAP Advanced with P-Flex (521X120C, 521X140C)
- [new] Additional Philips Respironics devices tested and fully supported:
  - BiPAP Auto (System One 60 Series) (761P)
  - BiPAP autoSV Advanced 30 (System One 60 Series) (961TCA)
  - REMstar Auto (System One) (552P)
- [new] For AutoSet 11, two models were added to the tested list: 39421 and 39485.
- [fix] Added support for pressure pulse, CA, and VS on BiPAP autoSV Advanced 30 (System One 60 Series) (960T).
- [fix] Fixed pressure settings scale on BiPAP autoSV Advanced 30 (System One 60 Series) (960T).
- [fix] For all ResMed devices, square plot (no smoothing) has been forced on all 2 second pressure graphs.
- [fix] File Export Sessions now exports statistics session data properly.
- [fix] Fixed a rare crash on import when encountering corrupted Philips Respironics directories.
- [fix] Fixed an incorrect warning message when importing some CheckMe O2 Max data.

Changes and fixes in OSCAR v1.3.1
Portions of OSCAR are © 2019-2022 by The OSCAR Team

- [new] Additional Philips Respironics devices tested and fully supported:
  - REMstar Plus (System One 60 Series) (261P) provides only limited information
  - REMstar Pro (System One 60 Series) (460PBT)
  - DreamStation CPAP Pro with Auto-Trial (401X150)
- [new] Choose AS11 data instead of AS10 data if both are present on the SD card.
- [new] Add support for new settings codes in recently manufactured 700X110 DreamStations.
- [new] Add 95% flow limitation to Therapy Efficacy section on Statistics page.
- [new] Add date range option to Statistics page.
- [new] Improve appearance and operation of event types and graphs comboboxes on Daily and Overview pages.
- [new] Skip first 20 seconds of TiVol, RR, and MinVent in ResMed loader.
- [new] Add ResMed 39423 Canadian Autoset to tested list.
- [new] Show channel description when hovering over index name on Daily page.
- [new] Add full support for Wellue CheckMe O2 Max.
- [fix] Fix pressure values for AutoForHer mode on AS1x.
- [fix] Fix missing oximetry and motion waveforms on Overview pages.
- [fix] Fix rare problem of minimum pressure shown as zero on Overview and Statistics pages.
- [fix] Update Statistics page after editing profile.
- [fix] Correct selection of CPAP and AutoForHer modes for ResMed AS11 modes.
- {fix} Skip first 10 seconds of pressure data for ResMed grapths and statistics.
- [fix] Correct SleepStyle machines sometimes identified as Icon machines.
- [fix] Improve event flag position in flow graph for DV6 machines.
- [fix] --datadir option now allows fully qualified paths on Mac and Linux.
- [fix] Correct value display on exact data points, and near session boundaries with drift.
- [fix] Link to translations in Credits and Release Notes html is now translated to selected language.
- [fix] Continue to import DreamStation 1 data even if there is (unsupported) DreamStation 2 data on the SD card.
- [fix] Automatic Oximetry Cleanup no longer drops samples or supplemental oximeter channels such as movement.
- [fix] Replace BRICK! message with better wording.
- [fix] Add footer to first page of printed Statistics report.
- [fix] Work around a Qt bug on Fedora 35 that caused hangs when selecting files.
- [fix] Update copyright notices in html files.

Changes and fixes in OSCAR v1.3.0
Portions of OSCAR are © 2019-2021 by The OSCAR Team

- [new] Add preliminary support for ResMed AirSense 11 CPAP machines.
- [new] Add support for Fisher & Paykel SleepStyle CPAP machines.
- [new] Add support for DeVilbiss BLUE (DV6x) CPAP machines.
- [new] Support both Intel/AMD and ARM Chromebooks using Linux beta.
- [new] Additional Philips Respironics devices tested and fully supported:
  - DreamStation Go Auto (500G120)
  - DreamStation Auto CPAP with A-Flex (500X140)
  - DreamStation Auto BiPAP (700X130)
  - DreamStation BiPAP AVAPS 30 (1130X200)
- [new] Add support for DreamStation Go humidifier Target Time setting.
- [new] Detect DreamStation 2 cards, which are still unsupported.
- {new} Correct the mode names for BiLevel ResMed machines.
- [new] Add support for additional Viatom/Wellue filename conventions.
- [new] Add support for unreadably low SpO2 samples on Viatom/Wellue oximeters.
- [new] Improve Somnopose import options.
- [new] Multi-file import for non-CPAP loaders (Somnopose, Viatom, Zeo, Dreem)
- [new] Purge Current Selected Day allows purge of each machine type separately
- [new] Weight, BMI and Zombie history appear on Overview page
- [new] Add Turkish signal names to RedMed loader.
- [new] Add Bulgarian translation; update other languages.
- [new] Add Traditional Chinese to languages available.
- [fix] Fix AVAPS pressure settings.
- [fix] Check for Updates no longer shows test versions to release users.
- [fix] Rx pressures shown correctly in Profile dialog.
- [fix] Resolve empty CPAP data card zips on macOS Big Sur.
- [fix] Always prompt for SD card location when zipping SD card.
- [fix] Add script to identify platform in mkDistDeb.sh (Linux building).
- [fix] Correct calculation of average leak rate on Welcome page.
- [fix] Correct installation of non-English Release Notes on Windows.
- [fix] About/Credits page now offers Google translations to other languages.
- [fix] User first and last name in Profile window may now have UTF-8 (non-ASCII) characters.
- [fix] Fix crash and other problems when disabling an oximeter session on Daily page when a bookmark was present.
- [fix] Fix rare problem of OSCAR crashing with unusual Journal file.
- [fix] ResMed loader no longer rejects data from an earlier timezone or DST.
- [fix] Newly entered notes no longer lost when importing new day or purging oximetry data.
- [fix] Purge currently selected day no longer deletes bookmarks for that day.
- [fix] Remove warning from Chromebook when importing from previously used local folder.
- [fix] Update link to Contec drivers.
- [fix] Fix display problems for short duration events.
- [fix] Statistics headings will now be 99.5% or Max, depending on machine type and preference settings.
- [fix] Mark exported Journal backup file as UTF-8.
- [fix] Improve error message when unable to access OSCAR database.
- [fix] Stop skipping the first 40 seconds of ResMed low-rate pressure data.
- [fix] Correct Total Time and AHI in CSV Export when non-CPAP devices are used.
- [fix] Fix value display and bookmark behavior with clock drift.
- [fix] Ignore old sessions should not impact existing data.
- [fix] Fix ocasional misordering of indexes on the Daily page.
- [fix] Add Unclassified Apneas to the Statistics page.
- [fix] Fix rare error on Welcome page comparing leak rate to 7-day average.
- [fix] Fix some Y2K issues in oximetry importers.

Changes and fixes in OSCAR v1.2.0
Portions of OSCAR are © 2019-2020 by The OSCAR Team

- [new] Support for Chromebooks using Linux beta - (Intel/AMD only)
- [new] Support for Raspberry Pi OS
- [new] Additional Philips Respironics devices tested and fully supported:
  - REMstar Pro (System One) (452P, 450P V1)
  - BiPAP Pro (System One) (650P)
  - REMstar Plus (System One 60 Series) (261CA)
  - REMstar Pro (System One 60 Series) (462P)
  - DreamStation CPAP Pro (400X120)
  - DreamStation BiPAP autoSV (900X150)
  - Dorma 500 Auto (System One 60 Series) (501V)
- [new] OSCAR checks automatically for new releases.
- [new] Privacy feature allows suppressing profile info in Statistics page and printed reports.
- [new] Add option to print reports in black and white (monochrome).
- [new] Hold down the Shift key while selecting a range on a chart to measure the duration without zooming.
- [new] Allow second (or more) import on same day for ResMed data.
- [fix] Improve support of rare events and update warnings in Philips Respironics 950P, 1030X, and 50-series.
- [fix] Profile page and Daily records block now show most recently used machine when a profile has multiple machines.
- [fix] Improve warning on Daily page when settings are missing.
- [fix] No longer zoom charts to maximum when clicking on chart with popup menu present.
- [fix] Correct page margins problem when printing Statistics page on Mac.
- [fix] Adjust font size and column widths on Statistics page.
- [fix] Improve language in various error messages.
- [fix] Date at right end of Overview page reflects actual data, not any future notes.
- [fix] Limit SD card scan to mounted vfat volumes.
- [fix] Correct Statistics page calculations when CPAP and Oximetry use do not overlap.
- [fix] Hours used on Welcome and Daily page are now hours of CPAP machine use.
- [fix] Popout graphs now limited to desktop height and multiple popout graphs work better.
- [fix] Overview tooltips now list chart components in same order as displayed in chart.
- [fix] Overview graphs now show last day on charts for timezones near GMT.
- [fix] Welcome page calculation of days since last import fixed.
- [fix] Oximetry import from file now remembers last directory imported from.
- [fix] Correct pressure reported on Welcome page for VAuto-S machines.
- [fix] Improve error checking for file system problems.
- [fix] ResMed machines now show the Essentials setting.
- [fix] Support migration from both SleepyHead and OSCAR.
- [fix] Correct 95th percentile computations on Statistics page when some days were summary-only.
- [fix] Improve some prompts and tooltip messages.
- [fix] Empty directories in Profiles directory are not shown in Profiles list.
- [fix] Show correct copyright when installing Debian version.
- [fix] Translations updated; Korean translation added.
- [fix] Rebuilding CPAP data for ResMed machine with compression enabled no longer results in settings loss.

Changes and fixes in OSCAR v1.1.1
Portions of OSCAR are © 2019-2020 by The OSCAR Team

- [new] Additional Philips Respironics devices tested and fully supported:
  - BiPAP S/T (C Series) (1061401)
  - REMstar Pro (System One 60 Series) (461CA)
  - DreamStation CPAP Pro (400X130)
  - DreamStation BiPAP Pro (600X150)
  - DreamStation Auto BiPAP (700X120, 700X150)
  - Note: Ventilator alarms are not currently imported.
- [new] Add the "peak flow" channel reported by pre-DreamStation ventilators.
- [new] Automatically detect and resolve graphics-related crashes on Windows.
- [new] Support AVAPS in the Overview pressure chart.
- [new] Added Italian and Turkish translations.
- [fix] Fix missing bars in the Overview pressure chart for Philips Respironics devices.
- [fix] Add missing Philips Respironics pressure channels to CSV export.
- [fix] Fix zero Philips Respironics AHI in CSV session export.
- [fix] Add support for the Bi-Flex lock setting on pre-DreamStation ventilators.
- [fix] Fix the pressure waveform scale for the BiPAP autoSV Advanced 30 (960T)
- [fix] Add support for rise time mode on DreamStation BiPAP devices (600X-700X).
- [fix] Remove the ramp time and pressure settings when the ramp is disabled on pre-DreamStation devices.
- [fix] Improve import of Philips Respironics oximetry data.
- [fix] Fix VS2 index shown on the Daily page for Philips Respironics machines.
- [fix] Fix occasional failure to save imported Viatom data.
- [fix] Fix a recurring database upgrade prompt.
- [fix] Fix an occasional crash when importing Resmed data.
- [fix] Add bounds error checking to Resmed input processing.
- [fix] Fix STR.edf file backup to avoid loss of settings data.
- [fix] Fix Backup Journal to format XML properly.
- [fix] In flow rate graph, don't show duration for events with no duration.
- [fix] Fix pressure settings in Overview graph reported as a huge negative number.

Changes and fixes in OSCAR v1.1.0
Portions of OSCAR are © 2019-2020 by The OSCAR Team

- [new] Additional Philips Respironics devices tested and fully supported:
  - DreamStation Auto CPAP (500X180)
- [new] Add support for DreamStation humidifier passover and error modes.
- [fix] Fix an rc-1 regression in pressure relief display on the Statistics page.
- [fix] Fix the minutes-at-pressure graph for Philips Respironics devices.

Changes and fixes in OSCAR v1.1.0-rc-1
Portions of OSCAR are © 2019-2020 by The OSCAR Team

- [fix] AHI and Usage bars in overview graphs now show the correct height when oximetry usage is significantly longer than CPAP usage.
- [fix] Improved import of Philips Respironics settings. In particular:
  - The settings for PC, S, and S/T modes are now displayed correctly.
  - AVAPS settings are now displayed correctly, including target tidal volume.
  - Backup breath settings are now imported and displayed.
  - The settings for CPAP-Check and Auto-Trial modes are now displayed correctly.
- [fix] Fix the reported duration for extremely long sessions on DreamStation CPAP and BiPAP devices
- [new] Additional Philips Respironics devices tested and fully supported:
  - DreamStation Auto CPAP (500X120)
- [fix] Fix regression in Welcome page pressure display
- [fix] Several crashes have been fixed.

Changes and fixes in OSCAR v1.1.0-beta-2
Portions of OSCAR are © 2019-2020 by The OSCAR Team

- [new] Add preliminary support for Viatom/Wellue pulse oximeters
- [new] Add support for Dreem hypnograms
- [new] Extensive reorganization of the ResMed loader to facilitate understanding and future improvements
- [new] Additional Philips Respironics devices tested and fully supported:
  - DreamStation Auto CPAP (500X130)
- [new] Add a menu option to create a zip from an SD card
- [new] Ask where to save screenshots
- [new] Alert users when unexpected Philips Respironics data is encountered during import
- [fix] Add support for CPAP mode on DreamStation BiPAP S/T and AVAPS
- [fix] Pinch-to-zoom now works as expected
- [fix] The Philips Respironics loader now respects the "ignore old sessions" preference
- [fix] Improved handling of discontinuous Philips Respironics data
- [fix] Improved import of Philips Respironics flex and humidification settings
- [fix] Fix incorrect display of tube diameter on some Philips Respironics devices
- [fix] Fix missing "Bi-Flex" label for bi-level DreamStations
- [fix] Fix crashes in ZEO loader
- [fix] Fix several memory leaks

Changes and fixes in OSCAR v1.1.0-beta-1
Portions of OSCAR are © 2019 by The OSCAR Team

- [new] Extensive overhaul of the Philips Respironics System One importer, resolving all previously reported issues.
- [new] The following Philips Respironics devices are now tested and fully supported:
  - REMstar Plus (System One) (251P),
  - REMstar Pro (System One) (450P, 451P),
  - REMstar Auto (System One) (550P, 551P),
  - BiPAP Auto (System One) (750P),
  - BiPAP AutoSV Advanced System One (950P, 951P),
  - REMstar Pro (System One 60 Series) (460P, 461P),
  - REMstar Auto (System One 60 Series) (560P, 561P, 562P, 560PBT),
  - BiPAP Pro (System One 60 Series) (660P),
  - BiPAP Auto (System One 60 Series) (760P),
  - BiPAP autoSV Advanced (System One 60 Series) (960P, 961P),
  - BiPAP autoSV Advanced 30 (System One 60 Series) (960T),
  - BiPAP S/T 30 (System One 60 Series) (1061T),
  - BiPAP AVAPS 30 (System One 60 Series) (1160P),
  - DreamStation CPAP (200X110),
  - DreamStation CPAP Pro (400X110, 400X150),
  - DreamStation Go (400G110),
  - DreamStation Auto CPAP (500X110, 500X150),
  - DreamStation Go Auto (500G110, 502G150),
  - DreamStation BiPAP Pro (600X110),
  - DreamStation Auto BiPAP (700X110),
  - DreamStation BiPAP autoSV (900X110, 900X120),
  - DreamStation BiPAP S/T 30 (1030X110),
  - DreamStation BiPAP S/T 30 with AAM (1030X150),
  - DreamStation BiPAP AVAPS 30 (1130X110),
  - DreamStation BiPAP AVAPS 30 AE (1131X150)
  - Note: The settings for PC, S, and S/T modes are still displayed incorrectly.
- [new] Update translation files and add new languages
- [new] Allow user to reset graph order on the Daily page to Standard (for CPAP and APAP) or Advanced order (for ASV and AVAPS modes)
- [new] Add preference setting to include the serial number on machine settings list
- [fix] Place date, time, and Oscar version information in report footers
- [fix] Update identification of ResMed S9 devices on the Welcome page
- [fix] Correct formatting of event number in the Daily Events tab
- [fix] Correct timezone offset for SomnoPose imports
- [fix] Show a progress bar when setting the Overview range to a large number of days
- [fix] Make session bars on the Daily page clearer by using a better color
- [fix] Improve list of devices on the Statistics page
- [fix] Report Pressure when IPAP data is missing
- [fix] Implement Refresh button on the Profile page

Changes and fixes in OSCAR v1.1.0-testing-4
Portions of OSCAR are © 2019 by The OSCAR Team

- [new] Windows installers support Oscar, Oscar 32-bit, Oscar (test) and Oscar 32-bit (test)
- [fix] Release builds use a Settings key of OSCAR, Test builds use OSCAR-test, and Branch builds use OSCAR-branch. Default data directories are similarly named.
- [fix] Overview chart problems when both CPAP and Oximetry data were included fixed
- [fix] Translations updated for all languages. Spanish (Mexico) and Norwegian languages added
- [fix] All languages now available on Mac
- [fix] Date bar on the bottom of the Daily graph now in the local time when no line cursor displayed, and formatting improved
- [fix] 100% zoom now works on the Overview page
- [fix] View/Reset Graphs now enables all graphs and all event flags
- [fix] Calendar date now formatted per national settings
- [fix] Toggle buttons on the Daily page's session list and event and chart pulldowns changed to checkboxes

Changes and fixes in OSCAR v1.1.0-testing-3
NOTE: Translations have NOT yet been updated for these changes
Portions of OSCAR are © 2019 by The OSCAR Team

- [new] DreamStation BiPAP S/T and AVAPS ventilators (1030X and 1130X) are now supported. The settings aren't yet displayed correctly, but therapy events and graphs should now display properly.
- [new] View/Reset Graphs organizes graphs in their original order
- [fix] Format dates for the national region as reported by the operating system
- [fix] Improve progress bar for the Statistics cache update
- [fix] Correct calculations of seven-day AHI and leak rate on the Welcome page
- [fix] Clarify AHI and hours labels on Records tab of the right sidebar
- [fix] Correct import error resulting in invalid elapsed times and impossibly high AHI values

Changes and fixes in OSCAR v1.1.0-testing-2
NOTE: Translations have NOT yet been updated for these changes
Portions of OSCAR are © 2019 by The OSCAR Team

- [new] Show progress bar when the Statistics page has to refresh the cache with more than 180 days in it
- [new] Romanian language is supported
- [fix] Show commit id in the title bar for testing and beta builds
- [fix] Show BMI label and calculated value only when both weight and height are non-zero
- [fix] Improve BMI display in Daily/Notes
- [fix] Correct profile dialog to show height is measured in cm, not meters, when units system is metric
- [fix] Always show event indices on the Daily page even when some event flags are turned off

Changes and fixes in OSCAR v1.1.0-testing-1
NOTE: Translations have NOT yet been updated for these changes
Portions of OSCAR are © 2019 by The OSCAR Team

- [new] Offer migration if a non-default directory is selected on first use
- [new] Hold the SHIFT key down when starting OSCAR to use Software Graphics Engine
- [new] Support for DreamStation BiPAP autoSV (900X) should now be complete
- [new] Improved DreamStation support
- [new] Improve oximeter import for CM550D+
- [new] Disable Dark Mode on Mac
- [new] Show hours/day constituting compliance on the Statistics page
- [new] Better order of graphs on the Daily page for newly created profiles
- [new] Help/System Information shows info about OSCAR, OS, and data location
- [new] Move pie chart option from Preferences dialog to View menu
- [new] Hide pie chart when capturing screen
- [new] The --datadir option now allows fully qualified name on Windows
- [fix] Fix some oximeter import issues
- [fix] Use local time rather than UTC in oximeter import
- [fix] Improve screen capture on Mac
- [fix] Fix crashes in CPAP data rebuild, purging of a machine
- [fix] Prevent crash if taking a screenshot before a profile is opened
- [fix] Increase mask vent ranges
- [fix] Correct session bar if no sessions are present
- [fix] Correct months shown on the Statistics page monthly view
- [fix] Compute compliance on the Statistics page based on total days, not days used
- [fix] Paginate the Statistics report when printing
- [fix] Fix "phantom date" (12/31/1969) on some ResMed imports
- [fix] Default font substituted when a specified font is not valid
- [fix] Change Preferences measurement units choice to Metric or English
- [fix] Improve display of cmH2O numbers
- [fix] Show graphics engine in title bar correctly
- [fix] Adjust the size of the Preferences dialog to fit smaller screens
- [fix] Label climate control as manual or auto correctly on ResMed import
- [fix] Move less useful information from title bar to Help/System Information
- [fix] Change "Prescription Settings" to "Machine Settings" message
- [fix] Improve icons, especially smaller ones
- [fix] Correct Mac menu issues
- [fix] Improve messages in debug pane
- [fix] Re-organize build instructions and other cleanup

Changes and fixes in OSCAR v1.0.1-r-1
Portions of OSCAR are © 2019 by The OSCAR Team

- Disable multitasking to avoid a crash during pre-loading of summaries

Changes and fixes in OSCAR v1.0.0-beta-9
Portions of OSCAR are © 2019 by The OSCAR Team

- Picked up the latest translation files
- Changed logo to big O with text
- Clean up odds and ends

Changes and fixes in OSCAR v1.0.0-beta-8
Portions of OSCAR are © 2019 by The OSCAR Team

- Picked up the latest translation files
- Fixed filename creation for about OSCAR docs
- Removed display of I:E ratio from the Daily page
- Changed some Mac build parameters

Changes and fixes in OSCAR v1.0.0-beta-7
Portions of OSCAR are © 2019 by The OSCAR Team

- Use the Qt language files for button text
- Use "Maximize" (with frame & menu) instead of "FullScreen"
- Change Mac target platform to OS-X 10.12 Sierra

Changes and fixes in OSCAR v1.0.0-beta-6
Portions of OSCAR are © 2019 by The OSCAR Team

- Added a progress bar during file migration
- Raise the main window upon opening it

Changes and fixes in OSCAR v1.0.0-beta-5
Portions of OSCAR are © 2019 by The OSCAR Team

- Moved the Help Index to a user-writable location
- Clarified folder selection and Migration messages

Changes and fixes in OSCAR v1.0.0-beta-4
Portions of OSCAR are © 2019 by The OSCAR Team

- Added code to migrate an old data directory to a new data directory
- Removed "-d" startup option and "Change directory" file menu item. Use the "--datadir foldername" startup option to create or change the data directory.
- Various fixes to tab and button visibility depending on profile and machine data presence.

Changes and fixes in OSCAR v1.0.0-beta-3
Portions of OSCAR are © 2019 by The OSCAR Team and members of the apnea community

- The Donation and Update features have been removed
- The Glossary, FAQ, and Wiki features are not yet implemented
- The Daily page left panel will resize to a smaller size.
- Oximeter import reports file errors in a message box
- Fixed date and time problems with Oximeter import
- Added support for new CMS50D+ firmware version 4.6
- Reformatted the 'No Data' display on the Statistics page
- Got the Help browser working - just stubs for now
- Small fixes to build and debug problems

SleepyHead v1.1.0-unstable-0

- Released under the GNU General Public License version 3
- Copyright © 2011-2018 Mark Watkins